Subject: Re: [PATCH 0/7][MV643XX_ETH] various cleanups

From: Dale Farnsworth <[email-masked]>
Date: Tue, 18 Mar 2008 09:14:06 -0700

On Mon, Mar 17, 2008 at 08:15:46PM +0100, Lennert Buytenhek wrote:
> Hi all,
> 
> This patch series performs various cleanups of mv643xx_eth, and moves
> it into the direction of being able to be instantiated multiple times
> -- which is currently not possible due to the driver using static
> variables, identifying ports by their port index within the single
> supported instance[*] instead of a pointer to a describing structure,
> and such.
> 
> The goal of multiple instantiation isn't achieved yet by this patch
> set, since it requires some changes in how mv643xx_eth platform
> devices are instantiated which in turn requires some changes in
> arch/{ppc,powerpc} which haven't been fully sorted out and agreed
> upon yet -- but this patch set is a step in the general direction,
> and the maintainer has informally ACKed these patches previously
> (in private mail), so I'm seeking wider feedback on them now.

Hi Lennert,

I'm happy with the end result, but the current patch series will
not build after patches 1-3 are applied.  Please reorder your
code changes so the result will be git-bisectable.

-Dale